import { LoggerTagsFn } from '@server/helpers/logger';
import { MVideoFullLight } from '@server/types/models';
import { VideoObject } from '@shared/models';
import { APVideoAbstractBuilder } from './abstract-builder';
export declare class APVideoCreator extends APVideoAbstractBuilder {
    protected readonly videoObject: VideoObject;
    protected lTags: LoggerTagsFn;
    constructor(videoObject: VideoObject);
    create(waitThumbnail?: boolean): Promise<{
        autoBlacklisted: boolean;
        videoCreated: MVideoFullLight;
    }>;
}
