import { Transaction } from 'sequelize/types';
import { MVideo, MVideoWithHost } from '@server/types/models';
import { VideoObject } from '@shared/models';
declare function getTrackerUrls(object: VideoObject, video: MVideoWithHost): string[];
declare function setVideoTrackers(options: {
    video: MVideo;
    trackers: string[];
    transaction: Transaction;
}): Promise<void>;
export { getTrackerUrls, setVideoTrackers };
