/// <reference types="node" />
import { Server as HTTPServer } from 'http';
import { MVideo, MVideoImmutable } from '@server/types/models';
import { UserNotificationModelForApi } from '@server/types/models/user';
declare class PeerTubeSocket {
    private static instance;
    private userNotificationSockets;
    private liveVideosNamespace;
    private constructor();
    init(server: HTTPServer): void;
    sendNotification(userId: number, notification: UserNotificationModelForApi): void;
    sendVideoLiveNewState(video: MVideo): void;
    sendVideoViewsUpdate(video: MVideoImmutable, numViewers: number): void;
    static get Instance(): PeerTubeSocket;
}
export { PeerTubeSocket };
