import { Model } from 'sequelize-typescript';
import { AttributesOnly } from '@shared/core-utils';
import { VideoCommentModel } from '../video/video-comment';
import { AbuseModel } from './abuse';
export declare class VideoCommentAbuseModel extends Model<Partial<AttributesOnly<VideoCommentAbuseModel>>> {
    createdAt: Date;
    updatedAt: Date;
    abuseId: number;
    Abuse: AbuseModel;
    videoCommentId: number;
    VideoComment: VideoCommentModel;
}
