import { LogLevel } from '../../models/server/log-level.type';
import { AbstractCommand, OverrideCommandOptions } from '../shared';
export declare class LogsCommand extends AbstractCommand {
    getLogs(options: OverrideCommandOptions & {
        startDate: Date;
        endDate?: Date;
        level?: LogLevel;
        tagsOneOf?: string[];
    }): Promise<any[]>;
    getAuditLogs(options: OverrideCommandOptions & {
        startDate: Date;
        endDate?: Date;
    }): Promise<unknown>;
}
