import { PeerTubeServer } from '../server';
declare function dateIsValid(dateString: string, interval?: number): boolean;
declare function expectStartWith(str: string, start: string): void;
declare function expectLogDoesNotContain(server: PeerTubeServer, str: string): Promise<void>;
declare function testImage(url: string, imageName: string, imagePath: string, extension?: string): Promise<void>;
declare function testFileExistsOrNot(server: PeerTubeServer, directory: string, filePath: string, exist: boolean): Promise<void>;
export { dateIsValid, testImage, expectLogDoesNotContain, testFileExistsOrNot, expectStartWith };
