/// <reference types="magnet-uri" />
/// <reference types="parse-torrent-file" />
import * as WebTorrent from 'webtorrent';
import { VideoFile } from '@shared/models';
import { PeerTubeServer } from '../server';
declare function webtorrentAdd(torrentId: string, refreshWebTorrent?: boolean): Promise<WebTorrent.Torrent>;
declare function parseTorrentVideo(server: PeerTubeServer, file: VideoFile): Promise<import("magnet-uri").Instance | import("parse-torrent-file").Instance>;
export { webtorrentAdd, parseTorrentVideo };
