/// <reference types="supertest" />
import { ResultList } from '@shared/models';
import { VideoBlacklist, VideoBlacklistType } from '../../models/videos';
import { AbstractCommand, OverrideCommandOptions } from '../shared';
export declare class BlacklistCommand extends AbstractCommand {
    add(options: OverrideCommandOptions & {
        videoId: number | string;
        reason?: string;
        unfederate?: boolean;
    }): import("supertest").Test;
    update(options: OverrideCommandOptions & {
        videoId: number | string;
        reason?: string;
    }): import("supertest").Test;
    remove(options: OverrideCommandOptions & {
        videoId: number | string;
    }): import("supertest").Test;
    list(options?: OverrideCommandOptions & {
        sort?: string;
        type?: VideoBlacklistType;
    }): Promise<ResultList<VideoBlacklist>>;
}
