/// <reference types="supertest" />
import { ResultList, Video } from '@shared/models';
import { AbstractCommand, OverrideCommandOptions } from '../shared';
export declare class HistoryCommand extends AbstractCommand {
    wathVideo(options: OverrideCommandOptions & {
        videoId: number | string;
        currentTime: number;
    }): import("supertest").Test;
    list(options?: OverrideCommandOptions & {
        search?: string;
    }): Promise<ResultList<Video>>;
    remove(options?: OverrideCommandOptions & {
        beforeDate?: string;
    }): import("supertest").Test;
}
