import { Response } from 'express';
import { MStreamingPlaylistVideo, MVideo } from '@server/types/models';
import { VideoPrivacy, VideoState } from '@shared/models';
declare function getVideoWithAttributes(res: Response): import("@server/types/models").MVideoFormattableDetails | import("@server/types/models").MVideoThumbnail;
declare function extractVideo(videoOrPlaylist: MVideo | MStreamingPlaylistVideo): MVideo;
declare function isPrivacyForFederation(privacy: VideoPrivacy): boolean;
declare function isStateForFederation(state: VideoState): boolean;
declare function getPrivaciesForFederation(): {
    privacy: VideoPrivacy;
}[];
declare function getExtFromMimetype(mimeTypes: {
    [id: string]: string | string[];
}, mimeType: string): string;
export { getVideoWithAttributes, extractVideo, getExtFromMimetype, isStateForFederation, isPrivacyForFederation, getPrivaciesForFederation };
