import { ActorLoadByUrlType } from '@server/lib/model-loaders';
import { MActorAccountChannelId, MActorFull } from '@server/types/models';
declare type RefreshResult<T> = Promise<{
    actor: T | MActorFull;
    refreshed: boolean;
}>;
declare type RefreshOptions<T> = {
    actor: T;
    fetchedType: ActorLoadByUrlType;
};
declare function refreshActorIfNeeded<T extends MActorFull | MActorAccountChannelId>(options: RefreshOptions<T>): RefreshResult<T>;
export { refreshActorIfNeeded };
