import { MActorFullActor } from '@server/types/models';
import { ActivityPubActor } from '@shared/models';
export declare class APActorCreator {
    private readonly actorObject;
    private readonly ownerActor?;
    constructor(actorObject: ActivityPubActor, ownerActor?: MActorFullActor);
    create(): Promise<MActorFullActor>;
    private setServer;
    private setImageIfNeeded;
    private saveActor;
    private tryToFixActorUrlIfNeeded;
    private saveAccount;
    private saveVideoChannel;
}
