import { VideoPlaylistModel } from '@server/models/video/video-playlist';
import { VideoPlaylistElementModel } from '@server/models/video/video-playlist-element';
import { MVideoId, MVideoPlaylistId } from '@server/types/models';
import { AttributesOnly } from '@shared/core-utils';
import { PlaylistElementObject, PlaylistObject } from '@shared/models';
declare function playlistObjectToDBAttributes(playlistObject: PlaylistObject, to: string[]): AttributesOnly<VideoPlaylistModel>;
declare function playlistElementObjectToDBAttributes(elementObject: PlaylistElementObject, videoPlaylist: MVideoPlaylistId, video: MVideoId): AttributesOnly<VideoPlaylistElementModel>;
export { playlistObjectToDBAttributes, playlistElementObjectToDBAttributes };
