import { MVideo } from '@server/types/models';
import { VideoObject } from '@shared/models';
declare type SyncParam = {
    likes: boolean;
    dislikes: boolean;
    shares: boolean;
    comments: boolean;
    thumbnail: boolean;
    refreshVideo?: boolean;
};
declare function syncVideoExternalAttributes(video: MVideo, fetchedVideo: VideoObject, syncParam: SyncParam): Promise<void>;
export { SyncParam, syncVideoExternalAttributes };
