import express from 'express';
import { MOAuthClient } from '@server/types/models';
import { BypassLogin } from './oauth-model';
declare function handleOAuthToken(req: express.Request, options: {
    refreshTokenAuthName?: string;
    bypassLogin?: BypassLogin;
}): Promise<{
    accessToken: string;
    accessTokenExpiresAt: Date;
    refreshToken: string;
    refreshTokenExpiresAt: Date;
    client: MOAuthClient;
    user: import("@server/types/models").MUser;
    accessTokenExpiresIn: number;
    refreshTokenExpiresIn: number;
}>;
declare function handleOAuthAuthenticate(req: express.Request, res: express.Response, authenticateInQuery?: boolean): any;
export { handleOAuthToken, handleOAuthAuthenticate };
