import { Job } from 'bull';
import { MUserId, MVideo, MVideoFullLight } from '@server/types/models';
import { MergeAudioTranscodingPayload, NewResolutionTranscodingPayload } from '../../../../shared';
declare function processVideoTranscoding(job: Job): Promise<MVideoFullLight>;
declare function onNewWebTorrentFileResolution(video: MVideo, user: MUserId, payload: NewResolutionTranscodingPayload | MergeAudioTranscodingPayload): Promise<void>;
declare function createHlsJobIfEnabled(user: MUserId, payload: {
    videoUUID: string;
    resolution: number;
    isPortraitMode?: boolean;
    copyCodecs: boolean;
    isMaxQuality: boolean;
    isNewVideo?: boolean;
}): Promise<boolean>;
export { processVideoTranscoding, createHlsJobIfEnabled, onNewWebTorrentFileResolution };
