import { MCommentOwnerVideo, MUserDefault, MUserWithNotificationSetting, UserNotificationModelForApi } from '@server/types/models';
import { AbstractNotification } from '../common/abstract-notification';
export declare class NewCommentForVideoOwner extends AbstractNotification<MCommentOwnerVideo> {
    private user;
    prepare(): Promise<void>;
    log(): void;
    isDisabled(): true | Promise<boolean>;
    getSetting(user: MUserWithNotificationSetting): import("@shared/models").UserNotificationSettingValue;
    getTargetUsers(): MUserDefault[];
    createNotification(user: MUserWithNotificationSetting): Promise<UserNotificationModelForApi>;
    createEmail(to: string): {
        template: string;
        to: string;
        subject: string;
        locals: {
            accountName: string;
            accountUrl: string;
            comment: MCommentOwnerVideo;
            commentHtml: any;
            video: import("@server/types/models").MVideoAccountLight;
            videoUrl: string;
            action: {
                text: string;
                url: string;
            };
        };
    };
}
