import { MUserWithNotificationSetting, MVideoAccountLight, UserNotificationModelForApi } from '@server/types/models';
import { AbstractNotification } from '../common/abstract-notification';
export declare class NewVideoForSubscribers extends AbstractNotification<MVideoAccountLight> {
    private users;
    prepare(): Promise<void>;
    log(): void;
    isDisabled(): boolean;
    getSetting(user: MUserWithNotificationSetting): import("@shared/models").UserNotificationSettingValue;
    getTargetUsers(): MUserWithNotificationSetting[];
    createNotification(user: MUserWithNotificationSetting): Promise<UserNotificationModelForApi>;
    createEmail(to: string): {
        to: string;
        subject: string;
        text: string;
        locals: {
            title: string;
            action: {
                text: string;
                url: string;
            };
        };
    };
}
