import { Transaction } from 'sequelize';
import { Model } from 'sequelize-typescript';
import { MTag } from '@server/types/models';
import { AttributesOnly } from '@shared/core-utils';
import { VideoModel } from './video';
export declare class TagModel extends Model<Partial<AttributesOnly<TagModel>>> {
    name: string;
    createdAt: Date;
    updatedAt: Date;
    Videos: VideoModel[];
    static findOrCreateTags(tags: string[], transaction: Transaction): Promise<MTag[]>;
    static getRandomSamples(threshold: number, count: number): Promise<string[]>;
}
