import { PickWith } from '@shared/core-utils';
import { ThumbnailModel } from '../../../models/video/thumbnail';
import { MVideo } from './video';
declare type Use<K extends keyof ThumbnailModel, M> = PickWith<ThumbnailModel, K, M>;
export declare type MThumbnail = Omit<ThumbnailModel, 'Video' | 'VideoPlaylist'>;
export declare type MThumbnailVideo = MThumbnail & Use<'Video', MVideo>;
export {};
