import { Job, JobState, JobType, ResultList } from '../../models';
import { AbstractCommand, OverrideCommandOptions } from '../shared';
export declare class JobsCommand extends AbstractCommand {
    getLatest(options: OverrideCommandOptions & {
        jobType: JobType;
    }): Promise<Job>;
    list(options?: OverrideCommandOptions & {
        state?: JobState;
        jobType?: JobType;
        start?: number;
        count?: number;
        sort?: string;
    }): Promise<ResultList<Job>>;
    listFailed(options: OverrideCommandOptions & {
        jobType?: JobType;
    }): Promise<ResultList<Job>>;
    private buildJobsUrl;
}
