import { ResultList } from '@shared/models';
import { VideoImport, VideoImportCreate } from '../../models/videos';
import { AbstractCommand, OverrideCommandOptions } from '../shared';
export declare class ImportsCommand extends AbstractCommand {
    importVideo(options: OverrideCommandOptions & {
        attributes: VideoImportCreate & {
            torrentfile?: string;
        };
    }): Promise<VideoImport>;
    getMyVideoImports(options?: OverrideCommandOptions & {
        sort?: string;
    }): Promise<ResultList<VideoImport>>;
}
