import { VideoStreamingPlaylist } from '@shared/models';
import { PeerTubeServer } from '../server';
declare function checkSegmentHash(options: {
    server: PeerTubeServer;
    baseUrlPlaylist: string;
    baseUrlSegment: string;
    resolution: number;
    hlsPlaylist: VideoStreamingPlaylist;
}): Promise<void>;
declare function checkLiveSegmentHash(options: {
    server: PeerTubeServer;
    baseUrlSegment: string;
    videoUUID: string;
    segmentName: string;
    hlsPlaylist: VideoStreamingPlaylist;
}): Promise<void>;
declare function checkResolutionsInMasterPlaylist(options: {
    server: PeerTubeServer;
    playlistUrl: string;
    resolutions: number[];
}): Promise<void>;
export { checkSegmentHash, checkLiveSegmentHash, checkResolutionsInMasterPlaylist };
