import { PluginClientScope } from './client/plugin-client-scope.type';
export declare type PluginTranslationPaths = {
    [locale: string]: string;
};
export declare type ClientScript = {
    script: string;
    scopes: PluginClientScope[];
};
export declare type PluginPackageJson = {
    name: string;
    version: string;
    description: string;
    engine: {
        peertube: string;
    };
    homepage: string;
    author: string;
    bugs: string;
    library: string;
    staticDirs: {
        [name: string]: string;
    };
    css: string[];
    clientScripts: ClientScript[];
    translations: PluginTranslationPaths;
};
